﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win.UltraWinGrid;
using System.Diagnostics;

namespace WindowsFormsApplication468
{
    public class OrderTotalsSummary : ICustomSummaryCalculator
    {
        private int totals = 0;

        internal OrderTotalsSummary()
        {
        }

        public void BeginCustomSummary(SummarySettings summarySettings, RowsCollection rows)
        {

            // Begins the summary for the SummarySettings object passed in. Implementation of 
            // this method should reset any state variables used for calculating the summary.
            this.totals = 0;

        }

        public void AggregateCustomSummary(SummarySettings summarySettings, UltraGridRow row)
        {

            // Here is where we process each row that gets passed in.

            object col1 = row.GetCellValue(summarySettings.SourceColumn.Band.Columns["Column 0"]);

            // Handle null values
            if (col1 is DBNull)
            {
                return;
            }

            if (Int16.Parse(col1.ToString()).Equals(5))
            {
                // Convert to decimal.
                try
                {
                    //int nUnitPrice = (int)col1;

                    this.totals++;
                }
                catch (Exception)
                {
                    // This should not happen if the columns are numeric.
                    Debug.Assert(false, "Exception thrown while trying to convert cell's value to decimal !");
                }
            }

        }


        public object EndCustomSummary(SummarySettings summarySettings, RowsCollection rows)
        {

            // This gets called when the every row has been processed so here is where we
            // would return the calculated summary value.
            return this.totals;

        }
    }
}
